Package org.apache.tomcat.jni

## Interface PoolCallback

    @Deprecated
    public interface PoolCallback

Deprecated.
The scope of the APR/Native Library will be reduced in Tomcat 10.1.x / Tomcat Native 2.x onwards to only include those components required to provide OpenSSL integration with the NIO and NIO2 connectors.
PoolCallback Interface

Author:
  Mladen Turk

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`int` `callback()` Deprecated. Called when the pool is destroyed or cleared

### Method Detail

#### callback

    int callback()

Deprecated.
Called when the pool is destroyed or cleared

Returns:
  Function must return APR_SUCCESS